package cn.fw.hermes.service.data;

import cn.fw.hermes.domain.db.MessageBusinessType;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * @Author: Chenery
 * @Date: 2021/2/3 11:20
 */
public interface MessageBusinessTypeService extends IService<MessageBusinessType> {

    /**
     * 添加消息业务类型
     * @param messageBusinessType 消息业务类型对象
     * @return 添加结果
     */
    Boolean insert(MessageBusinessType messageBusinessType);

    /**
     * 删除消息业务类型
     * @param messageBusinessTypeName 消息业务类型名称
     * @return 删除结果
     */
    Boolean delete(String messageBusinessTypeName);

    /**
     * 查询所有消息业务类型
     * @return
     */
    List<MessageBusinessType> queryAllMessageType();
}
